Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main
Class Main

    java.lang.Object
      |
      +--main.Main

public class Main
extends java.lang.Object

Diese Klasse steuert den Ablauf des Programms. Hier kann man in der main-Funktion den Ablauf des EVA Prinzips erkennen. Da hier auch zentral Fehler abgefangen werden, war es nötig, die Ausgabedatei schon sehr früh im Programmablauf zu öffnen, da Exceptions sonst nicht in Datei geschrieben werden könnten. In dieser Klasse befindet sich auch das zentrale Matrix-Element, welches per Referenz an die Unterteile Eingabe, Verarbeitung und Ausgabe übergeben wird.
Zudem befindet sich hier der Parser für die Eingabeparameter. Dieser sorgt dafür, dass wichtige Flags in dieser Klasse gesetzt sind. Abgefangen werden:

- -d DATEINAME (erkennt den Parameter und setzt den Dateinamen)
- -debug (setzt das Programm in den Debugmodus, bei dem die Ausgaben auch auf dem Bildschirm ausgegeben werden).
- -overwrite (überschreibt eine vorhandene Ausgabedatei. Dies erleichtert das Testen, kann aber im normalen Ablauf unerwünscht sein)
- -h (zeigt die Hilfe an, wie das Programm aufgerufen wird. Die Hilfe wird auch automatisch angezeigt, wenn Parameter falsch angegeben wurden)

Version:
  $Revision: 1.16 $
Author:
  Simon Tiffert

Field Summary
`static boolean` | `debug` setzt den Debug-Modus
`static Matrix` | `matrix` Die zentrale Datenstruktur mit der Matrix
`static int` | `maxDimension` maximale Größe der Matrix
`static boolean` | `overwrite` setzt den Overwrite-Modus

Constructor Summary
`Main()`

Method Summary
`static void` | `main(java.lang.String[] args)` main-Funktion des Programms.
`private static java.lang.String` | `parameterParser(java.lang.String[] parameter)` Diese Funktion parst die Eingabeparameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxDimension

    public static final int maxDimension

  maximale Größe der Matrix

  See Also:
    Constant Field Values

### debug

    public static boolean debug

  setzt den Debug-Modus

### overwrite

    public static boolean overwrite

  setzt den Overwrite-Modus

### matrix

    public static Matrix matrix

  Die zentrale Datenstruktur mit der Matrix

Constructor Detail

### Main

    public Main()

Method Detail

### main

    public static void main(java.lang.String[] args)

  main-Funktion des Programms. Hier wird die Verarbeitung des Programms gesteuert und die Fehlerabfrage durchgeführt, die zur weiteren Verarbeitung weitergereicht wird.

  Parameters:
    `args` - Programmparameter -d DATEINAME [-h] [-debug][-overwrite]

### parameterParser

    private static java.lang.String parameterParser(java.lang.String[] parameter)
                                             throws WrongParameterException,
                                                    NoInputException

  Diese Funktion parst die Eingabeparameter. Dabei wird überprüft, ob eine Eingabedatei angegeben wurde. Zudem werden weitere Parameter erkannt und fehlerhafte sowie doppelte Parameter werden erkannt und als Exception geworfen.
  Erkannt werden:
  - -d DATEINAME (Pflichtparameter)
  - -h (Hilfe)
  - -debug (Debugmodus)
  - -overwrite (Overwrite-Modus, der die Ausgabedatei überschreibt)

  Parameters:
    `parameter` - Übergabeparameter der main-Funktion
  Returns:
    Übergebenen Dateinamen
  Throws:
    `WrongParameterException` - Fehlerhafte Parameter
    `NoInputException` - Fehlende Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD